Register Guidelines E-Books Search Today's Posts Mark Forums Read

Go Back   MobileRead Forums > E-Book Readers > Alternative Devices

Notices

Reply
 
Thread Tools Search this Thread
Old 09-09-2009, 11:24 AM   #1
m26k9
Enthusiast
m26k9 began at the beginning.
 
Posts: 29
Karma: 10
Join Date: Sep 2009
Device: none
Why this happening in SmartQ7

Thanks you guys I was able to flash my SmartQ7 to ver.4.0.

Now I have been trying my butt off to install Okular. I need a PDF reader with the ability to highlight. After adding another repository (deb http://ftp.de.debian.org) I was able to install Okular.

But when I try to launch it, it gives an error saying "no such file /usr/bin/okular". But there is one.

The strange thing is, now Evince is not opening either. It was working before I installed Okular now it also gives the same problem. Also says something like unable to lauch child process (or something along those lines).

I really really want Okular. And I Have been through quite a mess to come here and I am really really tired . Anybody please give my advice.

Thank you.
m26k9 is offline   Reply With Quote
Old 09-09-2009, 11:46 AM   #2
Nation.A.List
Addict
Nation.A.List doesn't litterNation.A.List doesn't litter
 
Posts: 270
Karma: 112
Join Date: Jun 2009
Location: England
Device: SmartQ 7
Quote:
Originally Posted by m26k9 View Post
Thanks you guys I was able to flash my SmartQ7 to ver.4.0.
Now I have been trying my butt off to install Okular. I need a PDF reader with the ability to highlight. After adding another repository (deb http://ftp.de.debian.org) I was able to install Okular.
Ok, it sort of worked, but what version did it install? The reason we only have one repo at the moment is due to compatibility issues. You need to ensure A) that is for an ARM processor and B) the correct version of ARM. If you go here; http://packages.debian.org/lenny/okular you will see how many versions are available + the list of dependencies (large!) Download the 'ARM' version in the list from your local mirror and use GDebi to install it. See how that goes and report back.
Nation.A.List is offline   Reply With Quote
Old 09-09-2009, 11:48 AM   #3
m26k9
Enthusiast
m26k9 began at the beginning.
 
Posts: 29
Karma: 10
Join Date: Sep 2009
Device: none
Quote:
Originally Posted by Nation.A.List View Post
Ok, it sort of worked, but what version did it install? The reason we only have one repo at the moment is due to compatibility issues. You need to ensure A) that is for an ARM processor and B) the correct version of ARM. If you go here; http://packages.debian.org/lenny/okular you will see how many versions are available + the list of dependencies (large!) Download the 'ARM' version in the list from your local mirror and use GDebi to install it. See how that goes and report back.
I am on it!

Thanks a lot for the help Nation
m26k9 is offline   Reply With Quote
Old 09-09-2009, 11:57 AM   #4
m26k9
Enthusiast
m26k9 began at the beginning.
 
Posts: 29
Karma: 10
Join Date: Sep 2009
Device: none
So I downloaded 0.7-2 version and opened with Gdebi and it said same version is installed.
I clicked re-install.

It ended successfully and there is a slight improvement. Last time I installed Okular (apt-get) I did not see any launch icons in the menu. This time, there are two Okular icons in the 'Graphics' menu. When I click, I get a notice "Now starting Okular %U...." but nothing happens after that.

Cheers.
m26k9 is offline   Reply With Quote
Old 09-09-2009, 12:00 PM   #5
m26k9
Enthusiast
m26k9 began at the beginning.
 
Posts: 29
Karma: 10
Join Date: Sep 2009
Device: none
The stange thing is when I do "root@mojo:~# /usr/bin/okular", it says "No such file or directory". But it auto-completes when I click Tab.
But works for /usr/bin/leafpad.

I feel I am so close to having Okular but.....
m26k9 is offline   Reply With Quote
Old 09-09-2009, 12:11 PM   #6
Nation.A.List
Addict
Nation.A.List doesn't litterNation.A.List doesn't litter
 
Posts: 270
Karma: 112
Join Date: Jun 2009
Location: England
Device: SmartQ 7
Quote:
Originally Posted by m26k9 View Post
So I downloaded 0.7-2 version and opened with Gdebi and it said same version is installed.
I clicked re-install.
It ended successfully and there is a slight improvement. Last time I installed Okular (apt-get) I did not see any launch icons in the menu. This time, there are two Okular icons in the 'Graphics' menu. When I click, I get a notice "Now starting Okular %U...." but nothing happens after that.
Cheers.
In evilvte type "sudo okular" here you will see any errors reported.
Nation.A.List is offline   Reply With Quote
Old 09-09-2009, 12:19 PM   #7
m26k9
Enthusiast
m26k9 began at the beginning.
 
Posts: 29
Karma: 10
Join Date: Sep 2009
Device: none
No errors reported Nation.
"sudo: unable to execute /usr/bin/okular: No such file or directory"

Appreciate the help Nation!
m26k9 is offline   Reply With Quote
Old 09-09-2009, 12:45 PM   #8
Nation.A.List
Addict
Nation.A.List doesn't litterNation.A.List doesn't litter
 
Posts: 270
Karma: 112
Join Date: Jun 2009
Location: England
Device: SmartQ 7
Quote:
Originally Posted by m26k9 View Post
No errors reported Nation.
"sudo: unable to execute /usr/bin/okular: No such file or directory"

Appreciate the help Nation!
I reckon your earlier attempts to install okular has confused your device Safest thing would be to remove okular and then re-install it.
"sudo apt-get --purge remove okular" followed by "sudo apt-get install okular"
Nation.A.List is offline   Reply With Quote
Old 09-09-2009, 04:35 PM   #9
markr
Member
markr doesn't littermarkr doesn't litter
 
Posts: 22
Karma: 104
Join Date: Jun 2009
Device: none
Did you also install the squillions of dependencies that okular has? Presumably so unless you force-installed it.

The other thing is, I ran into this issue installing a deb from the debian repos, and the only way I managed to get around it was to get a slightly newer version (see this search for example: http://packages.debian.org/search?su...eywords=okular)

Except the newer builds are only available for armel so then you need to use --force-architecture to install it:

sudo dpkg -i --force-architecture [deb filename]

Note that this may be dangerous so don't blame me if you need to reflash your Q7 or something, but in general it's fine, arm and armel are basically the same.

You might find that the newer version needs newer versions of everything else too, like libc and stuff, if that's the case I'd just give up, it's not worth trying to replace all of those since they are used by other programs.
markr is offline   Reply With Quote
Old 09-09-2009, 08:53 PM   #10
m26k9
Enthusiast
m26k9 began at the beginning.
 
Posts: 29
Karma: 10
Join Date: Sep 2009
Device: none
Quote:
Originally Posted by markr View Post
Did you also install the squillions of dependencies that okular has? Presumably so unless you force-installed it.

The other thing is, I ran into this issue installing a deb from the debian repos, and the only way I managed to get around it was to get a slightly newer version (see this search for example: http://packages.debian.org/search?su...eywords=okular)

Except the newer builds are only available for armel so then you need to use --force-architecture to install it:

sudo dpkg -i --force-architecture [deb filename]

Note that this may be dangerous so don't blame me if you need to reflash your Q7 or something, but in general it's fine, arm and armel are basically the same.

You might find that the newer version needs newer versions of everything else too, like libc and stuff, if that's the case I'd just give up, it's not worth trying to replace all of those since they are used by other programs.
Thank you Markr. I am using that version - 0.7-2. Is there a newer version? I am not sure about all the dependencies but I installed through apt-get and it was a 207MB download. I will try installing Squeeze and then give up

Thanks again.
m26k9 is offline   Reply With Quote
Old 09-09-2009, 09:08 PM   #11
m26k9
Enthusiast
m26k9 began at the beginning.
 
Posts: 29
Karma: 10
Join Date: Sep 2009
Device: none
Quote:
Originally Posted by Nation.A.List View Post
I reckon your earlier attempts to install okular has confused your device Safest thing would be to remove okular and then re-install it.
"sudo apt-get --purge remove okular" followed by "sudo apt-get install okular"

Thanks Nation but it did not help
I give up... Maybe if a suable version of Mer comes... still then I don't know if I Okular is there...

Thanks again man.
m26k9 is offline   Reply With Quote
Old 09-09-2009, 09:09 PM   #12
m26k9
Enthusiast
m26k9 began at the beginning.
 
Posts: 29
Karma: 10
Join Date: Sep 2009
Device: none
Quote:
Originally Posted by markr View Post
Did you also install the squillions of dependencies that okular has? Presumably so unless you force-installed it.

The other thing is, I ran into this issue installing a deb from the debian repos, and the only way I managed to get around it was to get a slightly newer version (see this search for example: http://packages.debian.org/search?su...eywords=okular)

Except the newer builds are only available for armel so then you need to use --force-architecture to install it:

sudo dpkg -i --force-architecture [deb filename]
I tried with --force-architecture but it gave a huge list of libraries with needed to be a different version.... I give up man...
Thanks for the help...
m26k9 is offline   Reply With Quote
Old 09-10-2009, 06:13 AM   #13
Nation.A.List
Addict
Nation.A.List doesn't litterNation.A.List doesn't litter
 
Posts: 270
Karma: 112
Join Date: Jun 2009
Location: England
Device: SmartQ 7
Quote:
Originally Posted by m26k9 View Post
Thanks Nation but it did not help
I give up... Maybe if a suable version of Mer comes... still then I don't know if I Okular is there...

Thanks again man.
What happened when you tried install after purge?
Nation.A.List is offline   Reply With Quote
Old 09-10-2009, 06:16 AM   #14
m26k9
Enthusiast
m26k9 began at the beginning.
 
Posts: 29
Karma: 10
Join Date: Sep 2009
Device: none
Quote:
Originally Posted by Nation.A.List View Post
What happened when you tried install after purge?
Same story Nation. No such file error.
m26k9 is offline   Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Whats happening to Sony? ChrisR1970 Sony Reader 15 10-07-2010 03:12 PM
What's happening to Mobi format? donbrubaker Kindle Formats 41 02-21-2010 01:27 PM
Samzspace is happening samzspace Introduce Yourself 3 08-30-2009 09:02 PM
Funny thing happening... delphidb96 Bookeen 24 03-07-2008 05:20 PM
iLiad Anybody knows what's happening during upgrades? mtas iRex Developer's Corner 3 12-14-2006 05:12 AM


All times are GMT -4. The time now is 12:22 PM.


MobileRead.com is a privately owned, operated and funded community.